summaryrefslogtreecommitdiff
path: root/tclap-1.2.1/tests/test62.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tclap-1.2.1/tests/test62.sh')
-rw-r--r--tclap-1.2.1/tests/test62.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tclap-1.2.1/tests/test62.sh b/tclap-1.2.1/tests/test62.sh
new file mode 100644
index 0000000..9b365e3
--- /dev/null
+++ b/tclap-1.2.1/tests/test62.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+# this tests whether all required args are listed as
+# missing when no arguments are specified
+# failure
+../examples/test2 > tmp.out 2>&1
+
+if cmp -s tmp.out $srcdir/test62.out; then
+ exit 0
+else
+ exit 1
+fi
+